function validarFormulario()
 {
 //criar obejtos que acessam cada um dos controles de formulário
 //criar uma variável de controle de erros
 let erros = false;

 let objErroEmail = document.getElementById('erro-email');
 let objErroSenha = document.getElementById('erro-senha');
 let objErroConfirmarSenha = document.getElementById('erro-confirmar-senha');
 let objErroInscricao = document.getElementById('erro-inscricao');
 let objErroJustificativa = document.getElementById('erro-justificativa');

 let objEmail = document.getElementById('email');
 let objSenha = document.getElementById('senha');
 let objConfirmarSenha = document.getElementById('confirmar-senha');

 //observe a forma com que o JavaScript acessa os dados de cada um dos botões de rádio
 let objBotao1 = document.getElementById("radio1");
 let objBotao2 = document.getElementById("radio2");
 let objBotao3 = document.getElementById("radio3");

 //acessando o textarea 
 let objTextArea = document.getElementById("justificativa");

 //fazendo o JavaScript recuperar o conteúdo de cada elemento digitado no formulário e salvar nas variáveis adequadas
 let email = objEmail.value;
 let senha  = objSenha.value;
 let confirmarSenha = objConfirmarSenha.value;
 let textArea = objTextArea.value;

 //começamos, aqui, a validar cada uma das entradas do formulário
 //usando expressão regular já montada para testarmos se o e-mail é válido
 let filtroEmail = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;

 //veja, abaixo, como o JavaScript aplica uma expressão regular em relação ao conteúdo de uma variável sendo testada
 let resultado = filtroEmail.test(email);

 if(resultado == false)
  {
  erros = true;
  objErroEmail.innerHTML = "E-mail inválido!";
  //observe, abaixo, como o JS pode inserir um novo atributo class, dinamicamente, dentro de um elemento na página web
  objErroEmail.setAttribute("class", "mostra");
  }
 else
  {
  objErroEmail.removeAttribute("class");
  }

 //testando o valor da senha digitado
 senha = senha.trim(); 
 let tamanhoSenha = senha.length;

 if(tamanhoSenha < 15)
  {
   erros = true;
   objErroSenha.innerHTML = "Senha inválido!";
   objErroSenha.setAttribute("class", "mostra");
  }
 else
  {
  objErroSenha.removeAttribute("class");
  }

 //verificando se a confirmação da senha é igual à senha fornecida anteriormente
 confirmarSenha = confirmarSenha.trim();
 if(senha != confirmarSenha)
  {
  erros = true;
  objErroConfirmarSenha.innerHTML = "As senhas são diferentes";
  objErroConfirmarSenha.setAttribute("class", "mostra");
  }
 else 
  {
  objErroConfirmarSenha.removeAttribute("class");
  }

 //testando se um dos botões de rádio foi marcado pelo usuário no formulário
 if(!objBotao1.checked && !objBotao2.checked && !objBotao3.checked)
  {
   erros = true;
   objErroInscricao.innerHTML = "O tipo de inscrição é obrigatório";
   objErroInscricao.setAttribute("class", "mostra");
  }
 else
  {
  objErroInscricao.removeAttribute("class");
  }

 //testando se o textarea está vazio
 if(textArea.length == 0)
  {
  erros = true;
  objErroJustificativa.innerHTML = "A descrição é obrigatório";
  objErroJustificativa.setAttribute("class", "mostra");
  }
 else
  {
  objErroJustificativa.removeAttribute("class");
  }

 //neste ponto do código, testamos a variável erros. Se o valor dentro dela for falso, significa que não há erro algum no preenchimento dos dados. Acionamos o evento submit sobre o formulário. Isto faz com que o PHP receba os dados lá no servidor
 if(!erros) 
  {
  let objForm = document.getElementById("form");
  objForm.submit();
  }
 }

//acessando o botão que dispara o evento click
let objBotao = document.getElementById('botao');

//associar o evento click ao botão, por meio do método addEventListner
objBotao.addEventListener("click", validarFormulario);
